Visual LISP, AutoLISP and General Customization

Reply
*Morton, Si
Message 1 of 3 (46 Views)

Lisp problem inserting Attributes

46 Views, 2 Replies
04-14-2000 04:26 AM
We have a Lisp routine that we are trying to run in AutoCAD2000. The Lisp
routine should bring up the attribiute dialogue box, however the commands
only appear on the command line.
Below is a copy of the Lisp routine we are using.

(defun c:test ()

(command "attdia" "1")

(command "insert" "c:/temp/a1text" "0,0" "1" "1" "0")

)

Any ideas or help please !!

regards

Si Morton
*Wold, Rune
Message 2 of 3 (46 Views)

Re: Lisp problem inserting Attributes

04-14-2000 04:45 AM in reply to: *Morton, Si
Try inserting the block without specifying the attributes, then call ddatte
with the "last" entity.

(defun c:test ()

(setvar "attreq" 0)

(command "insert" "c:/temp/a1text" "0,0" "1" "1" "0")

(command "ddatte" "l")

(setvar "attreq" 1)

)

You should have an error handeler here to make sure the attreq ssystem
variable is set back to 1.

Hope this helps.

--
Rune Wold
Application Designer
Engineering Systems
rune@engsys.no
--

"Si Morton" wrote in message
news:eeff5c4.-1@WebX.SaUCah8kaAW...
> We have a Lisp routine that we are trying to run in AutoCAD2000. The Lisp
> routine should bring up the attribiute dialogue box, however the commands
> only appear on the command line.
> Below is a copy of the Lisp routine we are using.
>
> (defun c:test ()
>
> (command "attdia" "1")
>
> (command "insert" "c:/temp/a1text" "0,0" "1" "1" "0")
>
> )
>
> Any ideas or help please !!
>
> regards
>
> Si Morton
>
*Morton, Si
Message 3 of 3 (46 Views)

Re:

04-14-2000 07:12 AM in reply to: *Morton, Si
Thanks Rune,

Thats worked

regards

Si Morton

Rune Wold wrote in message
news:eeff5c4.0@WebX.SaUCah8kaAW...
> Try inserting the block without specifying the attributes, then call
ddatte
> with the "last" entity.
>
> (defun c:test ()
>
> (setvar "attreq" 0)
>
> (command "insert" "c:/temp/a1text" "0,0" "1" "1" "0")
>
> (command "ddatte" "l")
>
> (setvar "attreq" 1)
>
> )
>
> You should have an error handeler here to make sure the attreq ssystem
> variable is set back to 1.
>
> Hope this helps.
>
> --
> Rune Wold
> Application Designer
> Engineering Systems
> rune@engsys.no
> --
>
> "Si Morton" wrote in message
> news:eeff5c4.-1@WebX.SaUCah8kaAW...
> > We have a Lisp routine that we are trying to run in AutoCAD2000. The
Lisp
> > routine should bring up the attribiute dialogue box, however the
commands
> > only appear on the command line.
> > Below is a copy of the Lisp routine we are using.
> >
> > (defun c:test ()
> >
> > (command "attdia" "1")
> >
> > (command "insert" "c:/temp/a1text" "0,0" "1" "1" "0")
> >
> > )
> >
> > Any ideas or help please !!
> >
> > regards
> >
> > Si Morton
> >
>

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community